# Own Recipes

{% hint style="warning" %}
Please refer to the [User's recipe](https://docs.suggestic.com/graphql/query/queries/food-log/users-recipes) documentation for a new and improved way for searching your own recipes for food logging or other purposes.
{% endhint %}

## Available Fields

The following fields are displayed in the response:

| Field             | Type                                                                                  | Description                                         |
| ----------------- | ------------------------------------------------------------------------------------- | --------------------------------------------------- |
| `id`              | ID                                                                                    | Id of the own recipe                                |
| `name`            | String                                                                                | Name of the recipe                                  |
| `quantity`        | Int                                                                                   | Quantity of the recipe                              |
| `ingredients`     | [Ingredients](https://docs.suggestic.com/graphql/objects/food-logs/ingredients)       | A structured version of a recipe ingredients        |
| `nutritionalInfo` | [nutritionalInfo](https://docs.suggestic.com/graphql/objects/recipe/nutritional-info) | A structured version of the nutritional information |

{% tabs %}
{% tab title="Query" %}

```graphql
{
  ownRecipes {
    edges {
      node {
        id
        databaseId
        name
        quantity
        nutritionalInfo {
          calories
          fat
          protein
          carbs
        }
        ingredients {
          id
          quantity
          serving
        }
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "ownRecipes": {
      "edges": [
        {
          "node": {
            "id": "TWVhbExvZzo1YzlkMDMwYS02YTQ3LTExZWItODRjZi00NmU4MjRjMWRjOWM=",
            "databaseId": "5c9d030a-6a47-11eb-84cf-46e824c1dc9c",
            "name": "My daily snack",
            "quantity": 2,
            "nutritionalInfo": {
              "calories": 1.43,
              "fat": 0.1,
              "protein": 0.13,
              "carbs": 0.01
            },
            "ingredients": [
              {
                "id": "01123",
                "quantity": 1,
                "serving": 0
              }
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/food-log/legacy/own-recipes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
